### Type parameters

- #### T

### Hierarchy

- SupportSignedMessageData
  - EthWalletData
  - BtcWalletData
  - AppWalletData
  - UsdWalletData
  - CryptoWalletsData

## Index

### Constructors

- constructor

### Properties

- data
- sig

### Methods

- getMessage
- getSignedMessage

## Constructors

### constructor

- new SupportSignedMessageData(data: T, sig?: string): SupportSignedMessageData

- - Defined in utils/types/BaseTypes.ts:60

  #### Parameters

  - ##### data: T

  - ##### Optional sig: string

  #### Returns SupportSignedMessageData

## Properties

### data

data: T

- Defined in utils/types/BaseTypes.ts:57

### sig

sig: string

- Defined in utils/types/BaseTypes.ts:60

## Methods

### getMessage

- getMessage(): MessageData<string>

- - Defined in utils/types/BaseTypes.ts:71

  #### Returns MessageData<string>

### getSignedMessage

- getSignedMessage(): StringSignedMessage

- - Defined in utils/types/BaseTypes.ts:67

  #### Returns StringSignedMessage

Generated using TypeDoc